%define oname   activeresource

Name:       ruby-%{oname}
Version:    3.2.13
Release:    %mkrel 1
Summary:    Think Active Record for web resources
Group:      Development/Ruby
License:    MIT
URL:        http://www.rubyonrails.org
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Wraps web resources in model classes that can be manipulated through XML
over REST.


%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install
rm -rf %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/.yardoc

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}


%changelog

* Sat Mar 23 2013 fwang <fwang> 3.2.13-1.mga3
+ Revision: 404622
- new version 3.2.13

* Tue Feb 12 2013 fwang <fwang> 3.2.12-1.mga3
+ Revision: 398009
- new version 3.2.12

* Fri Feb 08 2013 umeabot <umeabot> 3.2.11-2.mga3
+ Revision: 395712
- Rebuild for CVE-2013-0256

* Sun Jan 20 2013 fwang <fwang> 3.2.11-1.mga3
+ Revision: 390184
- new version 3.2.11

* Mon Jan 14 2013 umeabot <umeabot> 3.2.9-2.mga3
+ Revision: 380648
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 19 2012 shikamaru <shikamaru> 3.2.9-1.mga3
+ Revision: 332835
- new version 3.2.9 to match ruby-activemodel

* Thu Nov 01 2012 fwang <fwang> 3.2.8-1.mga3
+ Revision: 312154
- new version 3.2.8

* Tue Jun 12 2012 solbu <solbu> 3.2.5-2.mga3
+ Revision: 260069
- Remove yardoc
- New version

* Sat Oct 29 2011 shikamaru <shikamaru> 2.3.14-1.mga2
+ Revision: 159699
- new version 2.3.14
- New version 2.3.12
- add new BR rdoc

* Fri Feb 11 2011 shikamaru <shikamaru> 2.3.11-1.mga1
+ Revision: 50618
- new version 2.3.11

* Fri Jan 28 2011 shikamaru <shikamaru> 2.3.10-3.mga1
+ Revision: 42518
- add mocha to the list of BR
- ensure BR version
- imported package ruby-activeresource


* Sun Jan 23 2011 Remy CLOUARD <shikamaru@mandriva.org> - 2.3.10-3mdv2011.0
- Apply new ruby policy
- Apply general mageia policy

* Thu Dec 09 2010 Rémy Clouard <shikamaru@mandriva.org> 2.3.10-2mdv2011.0
+ Revision: 618309
- add provides to fix rails dependencies

* Fri Oct 15 2010 Rémy Clouard <shikamaru@mandriva.org> 2.3.10-1mdv2011.0
+ Revision: 585835
- bump release

* Sat Sep 18 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.3.9-1mdv2011.0
+ Revision: 579502
- new release: 2.3.9

* Sun Sep 13 2009 Frederik Himpe <fhimpe@mandriva.org> 2.3.4-1mdv2010.0
+ Revision: 438621
- Update to new version 2.3.4

* Wed Jul 29 2009 Frederik Himpe <fhimpe@mandriva.org> 2.3.3-1mdv2010.0
+ Revision: 404440
- Update to new version 2.3.3

* Fri Jun 12 2009 Lev Givon <lev@mandriva.org> 2.1.2-1mdv2010.0
+ Revision: 385326
- Update to 2.1.2.

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 2.1.0-2mdv2009.0
+ Revision: 269229
- rebuild early 2009.0 package (before pixel changes)

* Tue Jun 03 2008 Alexander Kurtakov <akurtakov@mandriva.org> 2.1.0-1mdv2009.0
+ Revision: 214637
- new release 2.1.0

  + Thierry Vignaud <tv@mandriva.org>
    - fix summary-ended-with-dot

* Mon Jan 14 2008 Alexander Kurtakov <akurtakov@mandriva.org> 2.0.2-1mdv2008.1
+ Revision: 151599
- import ruby-activeresource


